function addComment(f, nc) {
  ok = 1; msg = "";

  if(!f.user.value) { ok = 0; msg = "Имя\n"; }
  if(!f.text.value) { ok = 0; msg += "Текст комментария" }
  if(ok) {
      var req = new JsHttpRequest();
      req.onreadystatechange = function() {
        if (req.readyState == 4) {
          if (!nc) document.getElementById('add_comment').style.display = 'block';
          document.getElementById('new_comment').innerHTML = req.responseJS;
          f.reset();
          document.getElementById('form_comment').innerHTML = "<p>Спасибо, ваш комментарий к этой статье добавлен.</p>";
        }
      }
      req.open('post', '/inc/ajax_comment.php', true);
      req.send( { user: f.user.value, text: f.text.value, id: f.id.value, save: f.save.checked } );

  } else alert("Не указаны следующие данные:\n" + msg)
}
